gi-cairo-1.0.17: Cairo bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Cairo.Structs.Surface

Contents

- Exported types

Description

No description available in the introspection data.

Synopsis

- newtype Surface = Surface (ManagedPtr Surface)
- noSurface :: Maybe Surface

# Exported types

newtype Surface Source #

Memory-managed wrapper type.

Constructors

Surface (ManagedPtr Surface) |

Instances

BoxedObject Surface Source # |
Instance details Defined in GI.Cairo.Structs.Surface Methods boxedType :: Surface -> IO GType Source #

noSurface :: Maybe Surface Source #

A convenience alias for `Nothing` :: `Maybe` `Surface`.